Subject: bug#45117: 28.0.50; process-send-string mysteriously exiting non-locally when called from timer

From: Stefan Monnier <[email-masked]>
Date: Fri, 11 Dec 2020 09:50:41 -0500

> In this bug report, I did observe a non-local exit from
> process-send-string once or twice, though it was rare.
> (look up).  My theory is that for strings that go in bunches,
> when  there's some output to accept, things can
> come in that cause the quit.  But I didn't investigate.

Hmm... indeed it seems I was completely confused.

`process-send-string` is even a context-switch point, so it can
definitely do a non-local exit for all kinds of reasons (quit and
while-no-input being just some of the possibilities).

IOW, better disregard what I said in this thread, because I was talking
about things I don't know.

        Stefan